Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXvMC runtime library
Name: 		libXvMC
Version: 	1.0.6
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  xorg-x11-util-macros
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXv-devel

%description
X.Org X11 libXvMC runtime library

%package devel
Summary: 	X.Org X11 libXvMC development package
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

Requires: 	libXv-devel, xorg-x11-proto-devel

%description devel
X.Org X11 libXvMC development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Touch XvMCConfig for rpm to package the ghost file. (#192254)
{
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11
    touch $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig
}

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'



%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXvMC.so.1
%{_libdir}/libXvMC.so.1.0.0
%{_libdir}/libXvMCW.so.1
%{_libdir}/libXvMCW.so.1.0.0
%ghost %config(missingok,noreplace) %verify (not md5 size mtime) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/XvMClib.h
%if %{with_static}
%{_libdir}/libXvMC.a
%{_libdir}/libXvMCW.a
%endif
%{_libdir}/libXvMC.so
%{_libdir}/libXvMCW.so
%{_libdir}/pkgconfig/xvmc.pc
%{_datadir}/doc/libXvMC/XvMC_API.txt

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-2
- rebuilt
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-5
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-4
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.4-3
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
